Loading...
Searching...
No Matches
DSRDocumentTreeNodeFilter Class Referenceabstract

Base class for a single document tree node filter. More...

Inheritance diagram for DSRDocumentTreeNodeFilter:

## Public Member Functions

virtual | ~DSRDocumentTreeNodeFilter ()
| destructor
virtual OFBool | matches (const DSRDocumentTreeNode *node) const =0
| check whether given node matches the filter criterion (abstract)

## Detailed Description

Base class for a single document tree node filter.

## Member Function Documentation

## matches()

virtual OFBool DSRDocumentTreeNodeFilter::matches | ( | const DSRDocumentTreeNode * | node | ) | const

pure virtual

check whether given node matches the filter criterion (abstract)

Parameters

  node | pointer to the node to be checked

Returns
  OFTrue if 'node' matches the filter criterion, OFFalse otherwise

Implemented in DSRDocumentTreeNodeAndFilter, DSRDocumentTreeNodeAnnotationFilter, DSRDocumentTreeNodeConceptNameFilter, DSRDocumentTreeNodeFilterList, DSRDocumentTreeNodeHasChildrenFilter, DSRDocumentTreeNodeHasConceptNameFilter, DSRDocumentTreeNodeHasSiblingsFilter, DSRDocumentTreeNodeObservationDateTimeFilter, DSRDocumentTreeNodeObservationUIDFilter, DSRDocumentTreeNodeOrFilter, DSRDocumentTreeNodeRelationshipTypeFilter, DSRDocumentTreeNodeTemplateIdentificationFilter, and DSRDocumentTreeNodeValueTypeFilter.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrdnflt.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0